Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_Container_T Class Template Reference

A template class that manages a collection. TYPE = type of collection, OBJECT = the object, PARENT = parent of object (grandparent of TYPE). More...

`#include <Container_T.h>`

Inheritance diagram for TAO_NS_Container_T:

[legend]
Collaboration diagram for TAO_NS_Container_T:

[legend]
List of all members.

## Public Methods
| TAO_NS_Container_T (void)
| Constuctor. More...
virtual | ~TAO_NS_Container_T ()
| Destructor. More...
virtual void | insert (TYPE *type ACE_ENV_ARG_DECL)
| Insert object to this container. More...
virtual void | remove (TYPE *type ACE_ENV_ARG_DECL)
| Remove type from container_. More...
TYPE * | find (TAO_NS_Object_Id id ACE_ENV_ARG_DECL)
| Find the Type. More...
void | init_collection (ACE_ENV_SINGLE_ARG_DECL)
| Init this object. More...
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL)
| Shutdown. More...
## Protected Types
typedef TAO_ESF_Proxy_Collection< TYPE > | COLLECTION
## Protected Attributes
COLLECTION * | collection_
| The collection data structure that we add objects to. More...
## Private Types
typedef TAO_NS_Object_Find_Worker_T< TYPE > | FIND_WORKER

## Detailed Description

### template<class TYPE, class OBJECT, class PARENT>
class TAO_NS_Container_T< TYPE, OBJECT, PARENT >

A template class that manages a collection. TYPE = type of collection, OBJECT = the object, PARENT = parent of object (grandparent of TYPE).

## Member Typedef Documentation

template<class TYPE, class OBJECT, class PARENT>
typedef TAO_ESF_Proxy_Collection<TYPE> TAO_NS_Container_T::COLLECTION`[protected]`

template<class TYPE, class OBJECT, class PARENT>
typedef TAO_NS_Object_Find_Worker_T<TYPE> TAO_NS_Container_T::FIND_WORKER`[private]`

## Constructor & Destructor Documentation

template<class TYPE, class OBJECT, class PARENT>
TAO_NS_Container_T< TYPE, OBJECT, PARENT >::TAO_NS_Container_T | ( | void |  | ) |

| Constuctor.

template<class TYPE, class OBJECT, class PARENT>
TAO_NS_Container_T< TYPE, OBJECT, PARENT >::~TAO_NS_Container_T | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class TYPE, class OBJECT, class PARENT>
TYPE* TAO_NS_Container_T< TYPE, OBJECT, PARENT >::find | ( | TAO_NS_Object_Id id | ACE_ENV_ARG_DECL | ) |

| Find the Type.

template<class TYPE, class OBJECT, class PARENT>
void TAO_NS_Container_T< TYPE, OBJECT, PARENT >::init_collection | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Init this object.

template<class TYPE, class OBJECT, class PARENT>
void TAO_NS_Container_T< TYPE, OBJECT, PARENT >::insert | ( | TYPE *type | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Insert object to this container.

template<class TYPE, class OBJECT, class PARENT>
void TAO_NS_Container_T< TYPE, OBJECT, PARENT >::remove | ( | TYPE *type | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Remove type from container_.

template<class TYPE, class OBJECT, class PARENT>
void TAO_NS_Container_T< TYPE, OBJECT, PARENT >::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Shutdown. Reimplemented from TAO_NS_Object.

## Member Data Documentation

template<class TYPE, class OBJECT, class PARENT>
COLLECTION* TAO_NS_Container_T::collection_`[protected]`

| The collection data structure that we add objects to.

The documentation for this class was generated from the following files:

- Container_T.h
- Container_T.cpp